header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
  background: var(--col2);
  border-bottom: 1px solid var(--col1);
  box-shadow: 0 10px 10px 0 var(--col-shadow);
}
nav {
  background: var(--col2);
  padding: 1em 0;
}
nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
}
nav .home-li {
  margin-right: auto;
}
nav li {
  margin: 0;
  display: flex;
  align-items: center;
}
nav a {
  display: flex;
  text-decoration: none;
  color: var(--col1);
  font-weight: 300;
  font-size: 1.4em;
  padding: 1.3em 2em;
  background: linear-gradient(140deg, var(--col3) 0%, var(--col4) 100%);
  background-clip: text;
  transition: color 0.3s ease, font-weight 0.3s ease;
}
nav a:hover {
  color: transparent;
  font-weight: 700;
}
#open-sidebar-button {
  display: none;
  border: none;
  padding: 0.5em;
  padding-right: 1em;
  cursor: pointer;
}
#close-sidebar-button {
  display: none;
  border: none;
  padding: 0.5em;
  cursor: pointer;
  margin: 0 0.2em 1em auto;
}
#close-sidebar-button img,
#open-sidebar-button img {
  height: 2em;
  aspect-ratio: 1;
}
#header_logo:hover img,
#header_logo_mobile:hover img {
  transform: scale(1.05);
}
#header_logo img, #header_logo_mobile img {
  max-height: 5em;
  margin: 0;
  width: 100%;
  height: auto;
  object-fit: contain;
  transform: scale(1);
  transition: transform 0.3s ease;
}
#header_logo,
#header_logo_mobile {
  padding: 0;
  margin-left: 2em;
  font-size: inherit;
}
div.mobile-navbar {
  display: none;
}
#overlay {
  background: rgba(0, 0, 0, 0.5);
  position: fixed;
  inset: 0;
  z-index: 9;
  display: none;
}

@media screen and (max-width: 700px) {
  #open-sidebar-button,
  #close-sidebar-button {
    display: block;
  }
  nav {
    position: fixed;
    top: 0;
    right: -100%;
    height: 100vh;
    width: min(15em, 100%);
    z-index: 10;
    border-left: 1px solid var(--col1);
    box-shadow: -10px 0 10px 0 var(--col-shadow);
    transition: right 300ms ease-in-out;
  }
  nav.show {
    right: 0;
  }
  nav.show ~ #overlay {
    display: block;
  }
  nav ul {
    width: 100%;
    flex-direction: column;
  }
  nav a {
    width: 100%;
  }
  nav .home-li {
    display: none;
  }
  #header_logo {
    width: 90%;
    margin: 0 auto;
  }
  div.mobile-navbar {
    display: flex;
    align-items: center;
    padding: 0;
    height: 7em;
    width: 100%;
  }
  div.mobile-container {
    width: 100%;
    display: grid;
    grid-template-columns: 85% auto;
    align-items: center;
    justify-items: start;
    padding: 0;
  }
}

#backToTop {
  background-color: var(--col2);
  color: var(--col1);
  cursor: pointer;
  width: 50px;
  aspect-ratio: 1;
  position: fixed;
  bottom: 50px;
  right: 50px;
  border: 1px solid var(--col1);
  box-shadow: 5px 5px 10px 0 var(--col-shadow);
  border-radius: 5px;
  box-sizing: border-box;
  z-index: 990;
  padding: 0.5em;

  transition-property: transform;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
#backToTop img {
  width: 100%;
}

.hidden {
  transform: translateX(100px);
}

/***** FOOTER *****/

footer {
  background: var(--col-logo);
  box-shadow: 0 -10px 10px 0 var(--col-highlight);
  padding-block: 2em;
  /* border-top: 1px solid var(--col1); */
  color: var(--col2);
}

.twoCol {
  display: flex;
  flex-wrap: wrap;
  gap: 2em 1em;
}
.twoCol > div {
  min-width: 20em;
  flex: 1;
}

footer table {
  border-collapse: separate;
  border-spacing: 0;
}

footer table td {
  font-weight: 300;
}

footer table td:first-child {
  padding-right: 1em;
}

footer table.openingHours td:first-child {
  text-align: right;
}

footer div a {
  color: var(--col2) !important;
  font-weight: 300;
  text-decoration: 1px solid var(--col2) underline;
  transition: font-weight 0.3s ease, text-decoration 0.3s ease;
}

footer div a:hover {
  color: var(--col2) !important;
  font-weight: 700;
  text-decoration: 3px solid var(--col2) underline;
}